/***文档注释***********************************************
 * 作者            ：  周浴超
 * 创建日期     ：
 * 描述            ：  取样码基础
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：                  2018.2.5
 * 修改人员     ：                  
 * 修改内容     ：                   
***********************************************************/
package market.Com.vo;

import java.io.Serializable;
import java.sql.Timestamp;

import market.Com.mapper.ComBaseSampleMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_BASE_SAMPLE", namespace=ComBaseSampleMapper.class)
public class ComBaseSample extends BaseVO implements Serializable {
	@Column

	//分批数量
	private Double batch_cnt;
	public Double  getBatch_cnt() {
		return this.batch_cnt;
	}
	public void setBatch_cnt(Double batch_cnt) {
		this.batch_cnt = batch_cnt;
	}

	@Column

	//试验样条数(从COM_BASE_PHY_B中带过来，允许人工在界面上修改)
	private Double sample_count;
	public Double  getSample_count() {
		return this.sample_count;
	}
	public void setSample_count(Double sample_count) {
		this.sample_count = sample_count;
	}

	@Column

	//适用厚度（壁厚）下限值
	private String min_h;
	public String  getMin_h() {
		return this.min_h;
	}
	public void setMin_h(String min_h) {
		this.min_h = min_h;
	}

	@Column

	//适用厚度（壁厚）上限值
	private String max_h;
	public String  getMax_h() {
		return this.max_h;
	}
	public void setMax_h(String max_h) {
		this.max_h = max_h;
	}

	@Column

	//适用宽度（外径）下限值
	private String min_d;
	public String  getMin_d() {
		return this.min_d;
	}
	public void setMin_d(String min_d) {
		this.min_d = min_d;
	}

	@Column

	//适用宽度（外径）上限值
	private String max_d;
	public String  getMax_d() {
		return this.max_d;
	}
	public void setMax_d(String max_d) {
		this.max_d = max_d;
	}

	@Column

	//适用厚度（壁厚）下限值符号
	private String min_h_sign;
	public String  getMin_h_sign() {
		return this.min_h_sign;
	}
	public void setMin_h_sign(String min_h_sign) {
		this.min_h_sign = min_h_sign;
	}

	@Column

	//适用厚度（壁厚）上限值符号
	private String max_h_sign;
	public String  getMax_h_sign() {
		return this.max_h_sign;
	}
	public void setMax_h_sign(String max_h_sign) {
		this.max_h_sign = max_h_sign;
	}

	@Column

	//适用宽度（外径）下限值符号
	private String min_d_sign;
	public String  getMin_d_sign() {
		return this.min_d_sign;
	}
	public void setMin_d_sign(String min_d_sign) {
		this.min_d_sign = min_d_sign;
	}

	@Column

	//适用宽度（外径）上限值符号
	private String max_d_sign;
	public String  getMax_d_sign() {
		return this.max_d_sign;
	}
	public void setMax_d_sign(String max_d_sign) {
		this.max_d_sign = max_d_sign;
	}

	@Column

	//创建人
	private String create_name;
	public String  getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")

	//创建时间
	private Timestamp create_time;
	public Timestamp  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Timestamp create_time) {
		this.create_time = create_time;
	}

	@Column

	//修改人
	private String update_name;
	public String  getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")

	//修改时间
	private Timestamp update_time;
	public Timestamp  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Timestamp update_time) {
		this.update_time = update_time;
	}

	@Column

	//删除人
	private String delete_name;
	public String  getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")

	//删除时间
	private Timestamp delete_time;
	public Timestamp  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Timestamp delete_time) {
		this.delete_time = delete_time;
	}

	@Column

	//有效标志(1:有效，0:无效)
	private String validflag;
	public String  getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	@Column

	//备注
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	@Id

	//取样码索引号(编码规则：类型=0时，A+7位流水号；类型=1时，试样组代码+3位流水号)，(适用的钢级见表 COM_BASE_SAMPLE_R_STEEL)
	private String smp_index;
	public String  getSmp_index() {
		return this.smp_index;
	}
	public void setSmp_index(String smp_index) {
		this.smp_index = smp_index;
	}

	@Column

	//取样码类型（0：成分，1：材质）
	private String smp_type;
	public String  getSmp_type() {
		return this.smp_type;
	}
	public void setSmp_type(String smp_type) {
		this.smp_type = smp_type;
	}

	@Column

	//试样组代码
	private String phy_code_m;
	public String  getPhy_code_m() {
		return this.phy_code_m;
	}
	public void setPhy_code_m(String phy_code_m) {
		this.phy_code_m = phy_code_m;
	}

	@Column

	//试样组名称
	private String phy_name_m;
	public String  getPhy_name_m() {
		return this.phy_name_m;
	}
	public void setPhy_name_m(String phy_name_m) {
		this.phy_name_m = phy_name_m;
	}



	//标准代码
	private String std_code;
	public String  getStd_code() {
		return this.std_code;
	}
	public void setStd_code(String std_code) {
		this.std_code = std_code;
	}

	

	//标准名称
	private String std_name;
	public String  getStd_name() {
		return this.std_name;
	}
	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	@Column

	//取样频率代码(4011)(组批要求,支数限制)
	private String rate;
	public String  getRate() {
		return this.rate;
	}
	public void setRate(String rate) {
		this.rate = rate;
	}

	@Column

	//取样频率描述
	private String desc_rate;
	public String  getDesc_rate() {
		return this.desc_rate;
	}
	public void setDesc_rate(String desc_rate) {
		this.desc_rate = desc_rate;
	}

	@Column

	//取样数量
	private Double desc_count;
	public Double  getDesc_count() {
		return this.desc_count;
	}
	public void setDesc_count(Double desc_count) {
		this.desc_count = desc_count;
	}

	@Column

	//取样位置代码(4012)
	private String position;
	public String  getPosition() {
		return this.position;
	}
	public void setPosition(String position) {
		this.position = position;
	}

	@Column

	//取样位置描述
	private String desc_position;
	public String  getDesc_position() {
		return this.desc_position;
	}
	public void setDesc_position(String desc_position) {
		this.desc_position = desc_position;
	}

	@Column

	//分批单位代码（4100）
	private String batch_unit_code;
	public String  getBatch_unit_code() {
		return this.batch_unit_code;
	}
	public void setBatch_unit_code(String batch_unit_code) {
		this.batch_unit_code = batch_unit_code;
	}

	@Column

	//分批单位名称
	private String batch_unit_name;
	public String  getBatch_unit_name() {
		return this.batch_unit_name;
	}
	public void setBatch_unit_name(String batch_unit_name) {
		this.batch_unit_name = batch_unit_name;
	}
	/**
	 * 牌号编码
	 */
	private String steel_code;
	/**
	 * 牌号名称
	 */
	private String steel_name;
	/**
	 * 产品编码
	 */
	private String prod_code;
	/**
	 * 产品名称
	 */
	private String prod_name;
	public String getSteel_code() {
		return steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}
	public String getSteel_name() {
		return steel_name;
	}
	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}
	public String getProd_code() {
		return prod_code;
	}
	public void setProd_code(String prod_code) {
		this.prod_code = prod_code;
	}
	public String getProd_name() {
		return prod_name;
	}
	public void setProd_name(String prod_name) {
		this.prod_name = prod_name;
	}
	

}
